Retrieve an Application
GET
https://api.vobiz.ai/api/v1/Account/{authID}/Application/{appID}/Get details of a particular application by passing the app_id. This API returns all the information linked with the application.
Authentication Required:
- • X-Auth-ID: Your account ID (e.g., {Auth_ID})
- • X-Auth-Token: Your account Auth Token
Arguments
No request parameters needed.
Response Examples
Success Response (200 OK)
{
"api_id": "{api_id}",
"app_id": "12345678",
"app_name": "My Voice Application",
"application_type": "voice",
"enabled": true,
"default_app": false,
"answer_url": "https://example.com/answer",
"answer_method": "POST",
"hangup_url": "https://example.com/hangup",
"hangup_method": "POST",
"fallback_answer_url": "https://example.com/fallback",
"fallback_method": "POST",
"message_url": "https://example.com/message",
"message_method": "POST",
"log_incoming_message": true,
"public_uri": false,
"sip_transfer_method": "POST",
"sip_transfer_url": "https://example.com/sip-transfer",
"sip_uri": "sip:12345678@vobiz.ai",
"default_number_app": false,
"default_endpoint_app": false,
"sub_account": null,
"resource_uri": "/v1/Account/{auth_id}/Application/12345678/",
"created_at": "2025-10-28T10:30:00Z",
"updated_at": "2025-10-28T10:30:00Z"
}
Error Response (404 Not Found)
{
"error": "Application not found",
"app_id": "99999999"
}cURL Example
cURL
curl -X GET https://api.vobiz.ai/api/v1/Account/{Auth_ID}/Application/12345678/ \
-H "X-Auth-ID: YOUR_AUTH_ID" \
-H "X-Auth-Token: YOUR_AUTH_TOKEN"